Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_QueryAdapter

    java.lang.Object
      com.tonbeller.jpivot.olap.query.QueryAdapter
          com.tonbeller.jpivot.xmla.XMLA_QueryAdapter

All Implemented Interfaces:
  QuaxChangeListener, java.util.EventListener

    public class XMLA_QueryAdapter

extends QueryAdapter
implements QuaxChangeListener

XMLA Adapter to MDX Query

Nested Class Summary

Nested classes/interfaces inherited from class com.tonbeller.jpivot.olap.query.QueryAdapter
`QueryAdapter.QueryAdapterHolder`

Field Summary

Fields inherited from class com.tonbeller.jpivot.olap.query.QueryAdapter
`axesSwapped, genMDXHierarchize, model, quaxes, sortMan, useQuax`

Method Summary
`boolean` | `canCollapse(Member member)`
`boolean` | `canCollapse(Member[] pathMembers)`
`boolean` | `canDrillDown(Member member)` drill down is possible if `member` has children
`boolean` | `canExpand(Member member)` find out, whether a member can be expanded.
`boolean` | `canExpand(Member[] pathMembers)`
`protected java.lang.Object` | `createMemberSet(java.util.List memList)` create set expression for list of members
`void` | `expand(Member member)` first check whether the member is *really* drillable
`void` | `expand(Member[] pathMembers)` expand a member in a specific position first check whether the member is *really* drillable
`ParsedQuery` | `getParsedQuery()`
`Quax[]` | `getQuaxes()`
`protected void` | `onExecute()` Update the Query Object before Execute.
`protected void` | `onExecuteDrill()`
`void` | `quaxChanged(Quax quax, java.lang.Object source, boolean changedByNavi)` implement QuaxChangeListener

Methods inherited from class com.tonbeller.jpivot.olap.query.QueryAdapter
`afterExecute, canDrillUp, collapse, collapse, drillDown, drillUp, findQuax, iASwap, isSwapAxes, isUseQuax, poString, setQuaxes, setUseQuax`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### quaxChanged

    public void quaxChanged(Quax quax,
                            java.lang.Object source,
                            boolean changedByNavi)

  implement QuaxChangeListener

  Specified by:
    `quaxChanged` in interface `QuaxChangeListener`

### getQuaxes

    public Quax[] getQuaxes()

  Overrides:
    `getQuaxes` in class `QueryAdapter`
  Returns:
    Quaxes array

### onExecute

    protected void onExecute()

  Update the Query Object before Execute. The current query is build from - the original query - adding the drilldown groups - apply pending swap axes - apply pending sorts. Called from Model.getResult before the query is executed.

### onExecuteDrill

    protected void onExecuteDrill()

### getParsedQuery

    public ParsedQuery getParsedQuery()

  Returns:
    the XMLA Query object

### createMemberSet

    protected java.lang.Object createMemberSet(java.util.List memList)

  create set expression for list of members

  Specified by:
    `createMemberSet` in class `QueryAdapter`
  Parameters:
    `memList` -
  Returns:
    set expression

### canExpand

    public boolean canExpand(Member member)

  find out, whether a member can be expanded. this is true, if - the member is on an axis and - the member is not yet expanded and - the member has children

  Specified by:
    `canExpand` in class `QueryAdapter`
  Parameters:
    `Member` - to be expanded
  Returns:
    true if the member can be expanded
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#canExpand(Member)`

### canExpand

    public boolean canExpand(Member[] pathMembers)

  Specified by:
    `canExpand` in class `QueryAdapter`
  Parameters:
    `position` - position to be expanded
    `Member` - to be expanded
  Returns:
    true if the member can be expanded
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#canExpand(Member)`

### expand

    public void expand(Member member)

  first check whether the member is *really* drillable

  Overrides:
    `expand` in class `QueryAdapter`
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#expand(Member)`

### expand

    public void expand(Member[] pathMembers)

  expand a member in a specific position first check whether the member is *really* drillable

  Overrides:
    `expand` in class `QueryAdapter`
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#expand(Member)`

### canCollapse

    public boolean canCollapse(Member member)

  Specified by:
    `canCollapse` in class `QueryAdapter`
  Parameters:
    `Member` - to be collapsed
  Returns:
    true if the member can be collapsed
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#canExpand(Member)`

### canCollapse

    public boolean canCollapse(Member[] pathMembers)

  Specified by:
    `canCollapse` in class `QueryAdapter`
  Parameters:
    `position` - position to be expanded
  Returns:
    true if the position can be collapsed
  See Also:
    `com.tonbeller.jpivot.olap.navi.DrillExpand#canCollapse(Member)`

### canDrillDown

    public boolean canDrillDown(Member member)

  drill down is possible if `member` has children

  Specified by:
    `canDrillDown` in class `QueryAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD